Index: /trunk/src/VBox/Installer/linux/VBoxAddIF.sh
===================================================================
--- /trunk/src/VBox/Installer/linux/VBoxAddIF.sh	(revision 6867)
+++ /trunk/src/VBox/Installer/linux/VBoxAddIF.sh	(revision 6868)
@@ -24,4 +24,9 @@
 interface=$1
 user=$2
+if [ "$user" = "-g" ]; then
+  shift;
+  group=$2
+  user=+$group
+fi
 bridge=$3
 
@@ -38,7 +43,9 @@
   then
     echo 1>&2 ""
-    echo 1>&2 "Usage: $appname <interface name> <user name> [<bridge name>]"
+    echo 1>&2 "Usage: $appname <interface name>"
+    echo 1>&2 "                [<user name>| -g <group name>] [<bridge name>]"
     echo 1>&2 "Create and register the permanent interface <interface name> for use by user"
-    echo 1>&2 "<user name> on the host system.  Optionally attach the interface to the network"
+    echo 1>&2 "<user name> (or group <group name> for linux kernels which support this)"
+    echo 1>&2 "on the host system.  Optionally attach the interface to the network"
     echo 1>&2 "bridge <bridge name>.  <interface name> should take the form vbox<0-99>."
   elif [ "$appname" = "$appdel" ]
@@ -174,5 +181,9 @@
   echo "$interface" "$user" "$bridge" >> /etc/vbox/interfaces
   echo ""
-  echo "Creating the permanent host networking interface \"$interface\" for user $user."
+  if [ -n "$group" ]; then
+      echo "Creating the permanent host networking interface \"$interface\" for group $group."
+  else
+      echo "Creating the permanent host networking interface \"$interface\" for user $user."
+  fi
 fi
 
@@ -199,10 +210,20 @@
   if [ "$appname" = "$appadd" ]
   then
-    if ! VBoxTunctl -t "$interface" -u "$user" > /dev/null 2>&1
-    then
-      echo 1>&2 ""
-      echo 1>&2 "Failed to create the interface \"$interface\" for user $user.  Please check"
-      echo 1>&2 "that you currently have sufficient permissions to do this."
-      exit 1
+    if [ -n "$group" ]; then
+      if ! VBoxTunctl -t "$interface" -g "$group" > /dev/null 2>&1
+      then
+        echo 1>&2 ""
+        echo 1>&2 "Failed to create the interface \"$interface\" for group $group.  Please check"
+        echo 1>&2 "that you currently have sufficient permissions to do this."
+        exit 1
+      fi
+    else
+      if ! VBoxTunctl -t "$interface" -u "$user" > /dev/null 2>&1
+      then
+        echo 1>&2 ""
+        echo 1>&2 "Failed to create the interface \"$interface\" for user $user.  Please check"
+        echo 1>&2 "that you currently have sufficient permissions to do this."
+        exit 1
+      fi
     fi
     # On SUSE Linux Enterprise Server, the tunctl command does not take
Index: /trunk/src/VBox/Installer/linux/vboxnet.sh
===================================================================
--- /trunk/src/VBox/Installer/linux/vboxnet.sh	(revision 6867)
+++ /trunk/src/VBox/Installer/linux/vboxnet.sh	(revision 6868)
@@ -201,6 +201,15 @@
             (valid_ifname "$1"))
         then
+          case $user in
+            +*)
+                group=`echo $2 | cut -c2-`
+                cmd="VBoxTunctl -t $1 -g $group"
+                ;;
+            *)
+                cmd="VBoxTunctl -t $1 -u $2"
+                ;;
+          esac
           # Try to create the interface
-          if VBoxTunctl -t "$1" -u "$2" > /dev/null 2>&1
+          if $cmd > /dev/null 2>&1
           then
             # On SUSE Linux Enterprise Server, the interface does not
